ant-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Nico Seessle" <n...@apache.org>
Subject Re: Using JDKs with jar files
Date Wed, 18 Apr 2001 18:33:58 GMT
----- Original Message -----
From: "Pinar Bicioglu" <p.bicioglu@CustomerDialogue.com>
To: <ant-user@jakarta.apache.org>
Sent: Wednesday, April 18, 2001 7:23 PM
Subject: RE: Using JDKs with jar files


> I have the following part in my build.xml file.
>
> <target name="LifeSimulatorApplet-compile" depends="prepare">
>     <javac srcdir="${src-dir}"
>            destdir="${build-dir}"
>            classpath="${classpath}"
>            deprecation="on"
>            target="1.1.8"
>            optimize="off"
>    bootclasspath="${Java118Classes}"
>            includes="${LifeSimulatorApplet-compile-list}"
>     />
>   </target>
>
> When I run it it says;
>
> "[javac] The release '1.1.8' is unknown to this compiler."
>

The only supported options (in JDK 1.3) are:

- 1.1 (default)
- 1.2
- 1.3

It has *nothing* to do with the classes javac uses to compile your sources
and does not now of versions of JDK's. The relevant part is to use the
correct bootclasspath and extdirs.

Nico



Mime
View raw message